Bug 409001 - when opened message (incapsulated by outlook) kmail crashes
Summary: when opened message (incapsulated by outlook) kmail crashes
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.10.3
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 414102 414574 416190 416318 417979 419317 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-06-21 16:32 UTC by Diego Ercolani
Modified: 2020-04-15 10:47 UTC (History)
12 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (30.77 KB, text/plain)
2019-07-23 08:49 UTC, Matthias Welwarsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Ercolani 2019-06-21 16:32:23 UTC
Application: kmail (5.10.3)

Qt Version: 5.9.7
Frameworks Version: 5.55.0
Operating System: Linux 4.12.14-lp151.28.7-default x86_64
Distribution: "openSUSE Leap 15.1"

-- Information about the crash:
- What I was doing when the application crashed:
open a message that is a forward message encapsulated by outlook

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f97d389d980 (LWP 20428))]

Thread 24 (Thread 0x7f9707211700 (LWP 20482)):
#0  0x00007f97d0923c98 in read () from /lib64/libc.so.6
#1  0x00007f97c402cca0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f97c3fe7cb8 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f97c3fe8150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f97c3fe82bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f97d126d96b in QEventDispatcherGlib::processEvents (this=0x7f9700000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f97d121290a in QEventLoop::exec (this=this@entry=0x7f9707210c30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f97d1030daa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007f97d1035ced in QThreadPrivate::start (arg=0x7f97802a3a60) at thread/qthread_unix.cpp:368
#9  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7f972f7fe700 (LWP 20479)):
#0  0x00007f97d0923c98 in read () from /lib64/libc.so.6
#1  0x00007f97abe64701 in pa_read () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#2  0x00007f97b3b51e0e in pa_mainloop_prepare () from /usr/lib64/libpulse.so.0
#3  0x00007f97b3b52880 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f97b3b52940 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f97b3b607a9 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f97abe93428 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#7  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f972ffff700 (LWP 20478)):
#0  0x00007f97c5ea7bdb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97ba4dc962 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4a361e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba47e54b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97ba47adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f97ba49785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f97ba4af486 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f9744ff9700 (LWP 20477)):
#0  0x00007f97c5ea78ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97bad226f0 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4aeec1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f97457fa700 (LWP 20476)):
#0  0x00007f97c5ea78ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97ba4adc45 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4ae127 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba4aeec1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f9745ffb700 (LWP 20475)):
#0  0x00007f97c5ea78ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97ba4a3699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4a36c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba47e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97ba47adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f97ba49785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f97ba4af486 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f97467fc700 (LWP 20474)):
#0  0x00007f97d093fb5c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f97d09418b4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f97b19beffd in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f97b19bf194 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f97b19c0abc in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f97b19b6764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f97ba47ec13 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f97ba47adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f97ba49785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f97b9d308d8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f97b9d30e8b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f97ba4af538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f9746ffd700 (LWP 20473)):
#0  0x00007f97c5ea78ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97ba4a3699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4a36c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba47e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97ba47adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f97ba49785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f97b9d30828 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f97b9d30e7b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f97ba4af538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f97477fe700 (LWP 20472)):
#0  0x00007f97c5ea78ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97ba4a3699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4a36c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba47e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97ba47adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f97ba49785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f97b9d30778 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f97b9d30e6b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f97ba4af538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f9747fff700 (LWP 20471)):
#0  0x00007f97c5ea78ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97ba4a3699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4a36c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba47e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97ba47adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f97ba49785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f97b9d306c8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f97b9d30e5b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f97ba4af538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f9764ff9700 (LWP 20470)):
#0  0x00007f97d093fb5c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f97d09418b4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f97b19beffd in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f97b19bf194 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f97b19c0abc in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f97b19b6764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f97ba47ead9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f97ba47adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f97ba49785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f97b9d30618 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f97b9d30e4b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f97ba4af538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f97657fa700 (LWP 20469)):
#0  0x00007f97c5ea78ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97ba4a3699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4a36c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba47e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97ba47adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f97ba49785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f97b9d30568 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f97b9d30e3b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f97ba4af538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f9765ffb700 (LWP 20468)):
#0  0x00007f97c5ea7bdb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97ba4dc962 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4b2749 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba4b2cab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f97667fc700 (LWP 20467)):
#0  0x00007f97c5ea7bdb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97ba4dc962 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4b2749 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba4b2cab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f9766ffd700 (LWP 20466)):
#0  0x00007f97c5ea78ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f97ba4a3699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f97ba4a36c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f97ba47e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f97ba47adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f97ba49785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f97ba4af486 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f97677fe700 (LWP 20465)):
#0  0x00007f97d0923d3b in write () from /lib64/libc.so.6
#1  0x00007f97d08b521d in _IO_file_write@@GLIBC_2.2.5 () from /lib64/libc.so.6
#2  0x00007f97d08b44ff in new_do_write () from /lib64/libc.so.6
#3  0x00007f97d08b59de in __GI__IO_file_xsputn () from /lib64/libc.so.6
#4  0x00007f97d088b95b in buffered_vfprintf () from /lib64/libc.so.6
#5  0x00007f97d0888bce in vfprintf () from /lib64/libc.so.6
#6  0x00007f97d0941906 in __fprintf_chk () from /lib64/libc.so.6
#7  0x00007f97b19beffd in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#8  0x00007f97b19bf194 in event_warn () from /usr/lib64/libevent-2.1.so.6
#9  0x00007f97b19c0abc in ?? () from /usr/lib64/libevent-2.1.so.6
#10 0x00007f97b19b6764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#11 0x00007f97ba47eb2d in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f97ba47adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f97ba49785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f97ba4af486 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f97ba4ab55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f977b87b700 (LWP 20438)):
#0  0x00007f97d092819b in poll () from /lib64/libc.so.6
#1  0x00007f97c3fe81a9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f97c3fe82bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f97d126d96b in QEventDispatcherGlib::processEvents (this=0x7f9770000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f97d121290a in QEventLoop::exec (this=this@entry=0x7f977b87ac30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f97d1030daa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f97d1035ced in QThreadPrivate::start (arg=0x56115f67d040) at thread/qthread_unix.cpp:368
#7  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f978d4be700 (LWP 20435)):
#0  0x00007fff3ffd5639 in ?? ()
#1  0x00007fff3ffd58f0 in clock_gettime ()
#2  0x00007f97d09402e6 in clock_gettime () from /lib64/libc.so.6
#3  0x00007f97d126d281 in qt_clock_gettime (ts=0x7f978d4bd990, clock=<optimized out>) at kernel/qelapsedtimer_unix.cpp:111
#4  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at kernel/qelapsedtimer_unix.cpp:166
#5  qt_gettime () at kernel/qelapsedtimer_unix.cpp:175
#6  0x00007f97d126bab9 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f9774004ce0) at kernel/qtimerinfo_unix.cpp:91
#7  0x00007f97d126c095 in QTimerInfoList::timerWait (this=0x7f9774004ce0, tm=...) at kernel/qtimerinfo_unix.cpp:388
#8  0x00007f97d126d6de in timerSourcePrepareHelper (timeout=0x7f978d4bda64, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:132
#9  timerSourcePrepare (source=<optimized out>, timeout=0x7f978d4bda64) at kernel/qeventdispatcher_glib.cpp:165
#10 0x00007f97c3fe7709 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f97c3fe80db in ?? () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f97c3fe82bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#13 0x00007f97d126d96b in QEventDispatcherGlib::processEvents (this=0x7f9774000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#14 0x00007f97d121290a in QEventLoop::exec (this=this@entry=0x7f978d4bdc30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#15 0x00007f97d1030daa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#16 0x00007f97d1035ced in QThreadPrivate::start (arg=0x56115f647910) at thread/qthread_unix.cpp:368
#17 0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#18 0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f978dcbf700 (LWP 20434)):
#0  0x00007f97d092819b in poll () from /lib64/libc.so.6
#1  0x00007f97c3fe81a9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f97c3fe82bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f97d126d96b in QEventDispatcherGlib::processEvents (this=0x7f9780000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f97d121290a in QEventLoop::exec (this=this@entry=0x7f978dcbec30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f97d1030daa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f97d1035ced in QThreadPrivate::start (arg=0x56115f622530) at thread/qthread_unix.cpp:368
#7  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f978eb60700 (LWP 20433)):
#0  0x00007f97d0923c98 in read () from /lib64/libc.so.6
#1  0x00007f97c402cca0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f97c3fe7cb8 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f97c3fe8150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f97c3fe82bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f97d126d96b in QEventDispatcherGlib::processEvents (this=0x7f977c000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f97d121290a in QEventLoop::exec (this=this@entry=0x7f978eb5fc30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f97d1030daa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007f97d1035ced in QThreadPrivate::start (arg=0x56115f6b7250) at thread/qthread_unix.cpp:368
#9  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f978fd71700 (LWP 20432)):
#0  0x00007f97d092819b in poll () from /lib64/libc.so.6
#1  0x00007f97c3fe81a9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f97c3fe82bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f97d126d96b in QEventDispatcherGlib::processEvents (this=0x7f9784000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f97d121290a in QEventLoop::exec (this=this@entry=0x7f978fd70c00, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f97d1030daa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f97cf6369e5 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007f97d1035ced in QThreadPrivate::start (arg=0x7f97cf8a9d60) at thread/qthread_unix.cpp:368
#8  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f9794a6f700 (LWP 20431)):
#0  0x00007f97c5ea78ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9799dbd88b in ?? () from /usr/lib64/dri/r600_dri.so
#2  0x00007f9799dbd597 in ?? () from /usr/lib64/dri/r600_dri.so
#3  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f97953b1700 (LWP 20430)):
#0  0x00007f97c5ea78ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9799dbd88b in ?? () from /usr/lib64/dri/r600_dri.so
#2  0x00007f9799dbd597 in ?? () from /usr/lib64/dri/r600_dri.so
#3  0x00007f97c5ea1569 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f97d09329ef in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f97d389d980 (LWP 20428)):
[KCrash Handler]
#6  0x0000561160bbf140 in ?? ()
#7  0x00007f9705742e6a in opj_destroy_codec (p_codec=0x561160bbf100) at /usr/src/debug/openjpeg2-2.3.0-lp151.2.3.x86_64/src/lib/openjp2/openjpeg.c:929
#8  0x00007f9705de84e4 in JPXStreamPrivate::init2 (this=0x561160bbeda0, format=format@entry=OPJ_CODEC_JP2, buf=buf@entry=0x561160c27630 "", length=length@entry=220579, indexed=<optimized out>) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/JPEG2000Stream.cc:356
#9  0x00007f9705de8969 in JPXStream::init (this=0x561160bc44c0) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/JPEG2000Stream.cc:236
#10 0x00007f9705de8f2e in JPXStream::getImageParams (this=0x561160bc44c0, bitsPerComponent=0x7fff3fe89448, csMode=0x7fff3fe8944c) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/JPEG2000Stream.cc:142
#11 0x00007f9705d2992f in Gfx::doImage (this=this@entry=0x561160bbebf0, ref=ref@entry=0x7fff3fe89b20, str=0x561160bc44c0, inlineImg=inlineImg@entry=false) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/Gfx.cc:4221
#12 0x00007f9705d2b4bf in Gfx::opXObject (this=0x561160bbebf0, args=<optimized out>, numArgs=<optimized out>) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/Gfx.cc:4160
#13 0x00007f9705d2385f in Gfx::go (this=this@entry=0x561160bbebf0, topLevel=topLevel@entry=true) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/Gfx.cc:737
#14 0x00007f9705d23cab in Gfx::display (this=this@entry=0x561160bbebf0, obj=obj@entry=0x7fff3fe89eb0, topLevel=topLevel@entry=true) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/Gfx.cc:699
#15 0x00007f9705d6fba1 in Page::displaySlice (this=0x561160b0a120, out=0x7fff3fe89f80, out@entry=0xffffffff00000000, hDPI=72, hDPI@entry=0, vDPI=72, vDPI@entry=4.6754734729936892e-310, rotate=0, rotate@entry=22033, useMediaBox=useMediaBox@entry=6, crop=crop@entry=true, sliceX=-1, sliceX@entry=22033, sliceY=-1, sliceW=-1, sliceH=-1, printing=false, abortCheckCbk=0x0, abortCheckCbkData=0x0, annotDisplayDecideCbk=0x0, annotDisplayDecideCbkData=0x0, copyXRef=false) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/Page.cc:560
#16 0x00007f9705d74749 in PDFDoc::displayPageSlice (this=<optimized out>, out=0xffffffff00000000, out@entry=0x7fff3fe89f80, page=733528157, hDPI=0, hDPI@entry=72, vDPI=4.6754734729936892e-310, vDPI@entry=72, rotate=22033, rotate@entry=0, useMediaBox=useMediaBox@entry=false, crop=crop@entry=true, printing=<optimized out>, sliceX=<optimized out>, sliceY=<optimized out>, sliceW=<optimized out>, sliceH=<optimized out>, abortCheckCbk=<optimized out>, abortCheckCbkData=<optimized out>, annotDisplayDecideCbk=<optimized out>, annotDisplayDecideCbkData=<optimized out>, copyXRef=false) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/PDFDoc.cc:528
#17 0x00007f970632ad06 in KItinerary::PdfPagePrivate::load (this=0x561160bc6f30) at /usr/src/debug/kitinerary-18.12.3-lp151.1.1.x86_64/src/pdfdocument.cpp:337
#18 0x00007f970632b06c in KItinerary::PdfPagePrivate::load (this=<optimized out>) at /usr/src/debug/kitinerary-18.12.3-lp151.1.1.x86_64/src/pdfdocument.cpp:401
#19 KItinerary::PdfPage::imageCount (this=this@entry=0x7fff3fe8a140) at /usr/src/debug/kitinerary-18.12.3-lp151.1.1.x86_64/src/pdfdocument.cpp:402
#20 0x00007f97063180ff in KItinerary::GenericPdfExtractor::extract (this=0x561160af2f70, doc=0x561160bbc690, result=...) at /usr/src/debug/kitinerary-18.12.3-lp151.1.1.x86_64/src/genericpdfextractor.cpp:69
#21 0x00007f9706307ff3 in KItinerary::ExtractorEnginePrivate::extractDocument (this=0x561160af2ea0) at /usr/src/debug/kitinerary-18.12.3-lp151.1.1.x86_64/src/extractorengine.cpp:304
#22 0x00007f9706308285 in KItinerary::ExtractorEngine::extract (this=this@entry=0x7fff3fe8a308) at /usr/src/debug/kitinerary-18.12.3-lp151.1.1.x86_64/src/extractorengine.cpp:268
#23 0x00007f97065d859b in SemanticProcessor::process (this=<optimized out>, part=...) at /usr/src/debug/kdepim-addons-18.12.3-lp151.3.1.x86_64/plugins/messageviewer/bodypartformatter/semantic/semanticprocessor.cpp:136
#24 0x00007f97cbb039a5 in MimeTreeParser::ObjectTreeParser::processType (this=this@entry=0x7fff3fe8a900, node=node@entry=0x56115f7553d0, processResult=..., mimeType=...) at /usr/src/debug/messagelib-18.12.3-lp151.1.2.x86_64/mimetreeparser/src/objecttreeparser.cpp:187
#25 0x00007f97cbb043cd in MimeTreeParser::ObjectTreeParser::parseObjectTreeInternal (this=0x7fff3fe8a900, node=0x56115f7553d0, node@entry=0x56115f75b2f0, onlyOneMimePart=<optimized out>) at /usr/src/debug/messagelib-18.12.3-lp151.1.2.x86_64/mimetreeparser/src/objecttreeparser.cpp:252
#26 0x00007f97cbb0913b in MimeTreeParser::MessagePart::parseInternal (this=this@entry=0x561160a72810, node=node@entry=0x56115f75b2f0, onlyOneMimePart=<optimized out>) at /usr/src/debug/messagelib-18.12.3-lp151.1.2.x86_64/mimetreeparser/src/messagepart.cpp:199
#27 0x00007f97cbb092b1 in MimeTreeParser::MimeMessagePart::MimeMessagePart (this=0x561160a72810, otp=<optimized out>, node=0x56115f75b2f0, onlyOneMimePart=<optimized out>) at /usr/src/debug/messagelib-18.12.3-lp151.1.2.x86_64/mimetreeparser/src/messagepart.cpp:507
#28 0x00007f970680153e in ApplicationGnuPGWKSFormatter::process (this=<optimized out>, part=...) at /usr/src/debug/kdepim-addons-18.12.3-lp151.3.1.x86_64/plugins/messageviewer/bodypartformatter/gnupgwks/gnupgwksformatter.cpp:67
#29 0x00007f97cbb039a5 in MimeTreeParser::ObjectTreeParser::processType (this=this@entry=0x7fff3fe8a900, node=node@entry=0x56115f68c960, processResult=..., mimeType=...) at /usr/src/debug/messagelib-18.12.3-lp151.1.2.x86_64/mimetreeparser/src/objecttreeparser.cpp:187
#30 0x00007f97cbb043cd in MimeTreeParser::ObjectTreeParser::parseObjectTreeInternal (this=this@entry=0x7fff3fe8a900, node=node@entry=0x56115f68c960, onlyOneMimePart=onlyOneMimePart@entry=false) at /usr/src/debug/messagelib-18.12.3-lp151.1.2.x86_64/mimetreeparser/src/objecttreeparser.cpp:252
#31 0x00007f97cbb046cf in MimeTreeParser::ObjectTreeParser::parseObjectTree (this=this@entry=0x7fff3fe8a900, node=node@entry=0x56115f68c960, parseOnlySingleNode=false) at /usr/src/debug/messagelib-18.12.3-lp151.1.2.x86_64/mimetreeparser/src/objecttreeparser.cpp:155
#32 0x00007f97cd6a8422 in MessageViewer::ViewerPrivate::parseContent (this=this@entry=0x56115f969290, content=0x56115f68c960) at /usr/src/debug/messagelib-18.12.3-lp151.1.2.x86_64/messageviewer/src/viewer/viewer_p.cpp:936
#33 0x00007f97cd6a8965 in MessageViewer::ViewerPrivate::displayMessage (this=this@entry=0x56115f969290) at /usr/src/debug/messagelib-18.12.3-lp151.1.2.x86_64/messageviewer/src/viewer/viewer_p.cpp:885
#34 0x00007f97cd6a92d2 in MessageViewer::ViewerPrivate::updateReaderWin (this=0x56115f969290) at /usr/src/debug/messagelib-18.12.3-lp151.1.2.x86_64/messageviewer/src/viewer/viewer_p.cpp:2228
#35 0x00007f97d124364f in QtPrivate::QSlotObjectBase::call (a=0x7fff3fe8ac30, r=0x56115f969290, this=0x56115fc153b0) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#36 QMetaObject::activate (sender=sender@entry=0x56115f969300, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff3fe8ac30) at kernel/qobject.cpp:3750
#37 0x00007f97d1243c07 in QMetaObject::activate (sender=sender@entry=0x56115f969300, m=m@entry=0x7f97d16cfe80 <QTimer::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff3fe8ac30) at kernel/qobject.cpp:3629
#38 0x00007f97d1250087 in QTimer::timeout (this=this@entry=0x56115f969300, _t1=...) at .moc/moc_qtimer.cpp:200
#39 0x00007f97d12503e8 in QTimer::timerEvent (this=0x56115f969300, e=<optimized out>) at kernel/qtimer.cpp:255
#40 0x00007f97d124405b in QObject::event (this=0x56115f969300, e=<optimized out>) at kernel/qobject.cpp:1269
#41 0x00007f97d1fbe3dc in QApplicationPrivate::notify_helper (this=this@entry=0x56115f3a8e80, receiver=receiver@entry=0x56115f969300, e=e@entry=0x7fff3fe8af30) at kernel/qapplication.cpp:3723
#42 0x00007f97d1fc5ca4 in QApplication::notify (this=0x7fff3fe8b640, receiver=0x56115f969300, e=0x7fff3fe8af30) at kernel/qapplication.cpp:3482
#43 0x00007f97d12148d8 in QCoreApplication::notifyInternal2 (receiver=0x56115f969300, event=event@entry=0x7fff3fe8af30) at kernel/qcoreapplication.cpp:1024
#44 0x00007f97d126cdee in QCoreApplication::sendEvent (event=0x7fff3fe8af30, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:233
#45 QTimerInfoList::activateTimers (this=0x56115f3fe180) at kernel/qtimerinfo_unix.cpp:643
#46 0x00007f97d126d5b1 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:182
#47 0x00007f97c3fe7e87 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#48 0x00007f97c3fe8230 in ?? () from /usr/lib64/libglib-2.0.so.0
#49 0x00007f97c3fe82bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#50 0x00007f97d126d94f in QEventDispatcherGlib::processEvents (this=0x56115f401ef0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#51 0x00007f97d121290a in QEventLoop::exec (this=this@entry=0x7fff3fe8b180, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#52 0x00007f97d121b9b4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1297
#53 0x000056115ec18cab in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kmail-18.12.3-lp151.3.4.1.x86_64/src/main.cpp:172
[Inferior 1 (process 20428) detached]

Reported using DrKonqi
Comment 1 Laurent Montel 2019-06-23 08:02:44 UTC
it seems to be a crash from KItinerary plugins
Comment 2 Laurent Montel 2019-06-23 08:03:28 UTC
I add volker as CC
Comment 3 Volker Krause 2019-06-23 08:38:35 UTC
This is Poppler crashing on the attached PDF I think.

A local workaround is to delete /usr/lib64/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so (exact location can vary slightly depending on the distro).

For addressing the actual issue (assuming it still exists in newer Poppler versions) we'd need the PDF causing this.
Comment 4 Diego Ercolani 2019-06-24 07:45:14 UTC
@Volker, I did it:
pc-diego:~ # mv /usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so /usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so.bak

Restarting kontact and I can read the mail without crashing.
I can also read the pdf documents attached without any problem using okular.

To answer your request, I can provide you the original e-mail message, but, although it is not containing "secrets" it contain contractual information so I can not divulgate publically so  I need an email address or a personal contact of you
Thank you
Diego
Comment 5 Diego Ercolani 2019-06-24 07:46:02 UTC
pc-diego:~ # rpm -qf /usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so
kdepim-addons-18.12.3-lp151.3.1.x86_64
Comment 6 Volker Krause 2019-06-24 08:01:09 UTC
Okular being able to display the document is indeed an important observation, could be a bug in the extractor plugin after all, or a different way of using Popppler.

Providing the affected document in private is perfectly fine of course, you can send it to vkrause@kde.org (GPG key 0x7F96CCD64D12D247 if you want to encrypt it) and I'll delete as soon as the problem has been debugged.

Thanks!
Comment 7 Diego Ercolani 2019-06-24 08:21:21 UTC
The document it's on its way to you. Thank you
Comment 8 Matthias Welwarsky 2019-07-23 08:49:23 UTC
Created attachment 121688 [details]
New crash information added by DrKonqi

kmail (5.10.3) using Qt 5.9.7

- What I was doing when the application crashed:

Clicked on an unread email in kmail, the email has 3 attachements, all of which are PDF.

-- Backtrace (Reduced):
#7  0x00007f594a993e6a in opj_destroy_codec (p_codec=0x56090098f140) at /usr/src/debug/openjpeg2-2.3.0-lp151.2.3.x86_64/src/lib/openjp2/openjpeg.c:929
#8  0x00007f594b0394e4 in JPXStreamPrivate::init2 (this=0x5609006922e0, format=format@entry=OPJ_CODEC_JP2, buf=buf@entry=0x56090098f7d0 "", length=length@entry=95180, indexed=<optimized out>) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/JPEG2000Stream.cc:356
#9  0x00007f594b039969 in JPXStream::init (this=0x56090098f070) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/JPEG2000Stream.cc:236
#10 0x00007f594b039f2e in JPXStream::getImageParams (this=0x56090098f070, bitsPerComponent=0x7fffef5bf7b8, csMode=0x7fffef5bf7bc) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/JPEG2000Stream.cc:142
#11 0x00007f594af7a92f in Gfx::doImage (this=this@entry=0x5608feb1add0, ref=ref@entry=0x7fffef5bfe90, str=0x56090098f070, inlineImg=inlineImg@entry=false) at /usr/src/debug/poppler-0.62.0-lp151.3.4.x86_64/poppler/Gfx.cc:4221
Comment 9 Arnold Meißner 2019-08-01 12:56:57 UTC
I can confirm: Kmail crashes while opening a mail with an attached pdf.
Saving the mail (with another version of kmail) and trying to open the .mbox file leads to the crash as well.
- The same mail without attachement (edited the mbox file) does open fine, the attached PDF file can be displayed in Okular without problems.
- Removing the base64 encoded part is sufficient to prevent kmail from crashing.
- Replacing the PDF by another (base64 encoded) PDF works fine as well.
- Rewriting the PDF with gs -sDEVICE=pdfwrite and attaching it as base64 encoded file works as well.
Thus I think it is a specific problem with the PDF file. I can send the file on request.

Is bug 372142 a duplicate of this?
Comment 10 Volker Krause 2019-08-01 13:44:37 UTC
Is that with KMail 5.10/18.12 for you as well? I so far cannot reproduce this with more recent versions, but if you have a document that crashes 5.11/19.04 or 5.12/19.08 I'm of course very much interested.

Independent of that, I'm looking at moving the PDF parsing out of process to avoid this problem more fundamentally. Until then, see Comment #3 for a local workaround.
Comment 11 Arnold Meißner 2019-08-01 14:28:42 UTC
I'm on openSUSE 15.1 with
Kontact==KMail 5.10.3
(kmail 18.12.3-lp151.3.7.1)
KDE Frameworks 5.55.0
Qt 5.9.7
Comment 12 Volker Krause 2019-08-11 08:44:41 UTC
Git commit 07524e4302f1b25d70a371f42265a2a45c4f39e4 by Volker Krause.
Committed on 11/08/2019 at 08:39.
Pushed by vkrause into branch 'master'.

Use external itinerary extraction process

This avoids parsing PDF files in the KMail process, isolating us entirely
from crashes or hangs due to corrupt files or bugs in our PDF parser.

M  +4    -18   plugins/messageviewer/bodypartformatter/semantic/semanticprocessor.cpp

https://commits.kde.org/kdepim-addons/07524e4302f1b25d70a371f42265a2a45c4f39e4
Comment 13 Christophe Giboudeaux 2020-01-13 08:27:41 UTC
*** Bug 416190 has been marked as a duplicate of this bug. ***
Comment 14 Wolfgang Bauer 2020-04-02 09:26:25 UTC
*** Bug 414102 has been marked as a duplicate of this bug. ***
Comment 15 Wolfgang Bauer 2020-04-05 11:32:28 UTC
*** Bug 417979 has been marked as a duplicate of this bug. ***
Comment 16 Wolfgang Bauer 2020-04-07 09:18:13 UTC
FTR, as I found out yesterday, the crash in openSUSE Leap 15.1 was because libopenjpeg1 and libopenjp2 were loaded into the same process.

Leap's ffmpeg-3 (libavcodec57) package is built with openjpeg1, and is used by QtWebEngine. So poppler (which uses libopenjp2) ended up calling some functions from libopenjpeg1 instead (both libs contain functions with the same name), resulting in some things not being initialized properly and leading to the crash in libopenjp2 later on.

The switch to using an external process actually fixed that as well btw, as the separate executable has much smaller dependencies, in particular it doesn't load QtWebEngine...
Comment 17 Volker Krause 2020-04-07 12:07:43 UTC
wow, nice find, that's a nasty one
Comment 18 Christoph Feck 2020-04-15 10:47:12 UTC
*** Bug 414574 has been marked as a duplicate of this bug. ***
Comment 19 Christoph Feck 2020-04-15 10:47:33 UTC
*** Bug 416318 has been marked as a duplicate of this bug. ***
Comment 20 Christoph Feck 2020-04-15 10:47:50 UTC
*** Bug 419317 has been marked as a duplicate of this bug. ***